Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.instance
Interface IGridInstance

All Superinterfaces:
  IReportElementInstance, IReportItemInstance

    public interface IGridInstance

extends IReportItemInstance

Method Summary
`java.lang.String` | `getCaption()` Get the caption.
`java.lang.String` | `getCaptionKey()` Get the caption key
`java.lang.String` | `getSummary()` Get the summary.
`void` | `setCaption(java.lang.String caption)` Set the caption
`void` | `setCaptionKey(java.lang.String captionKey)` Set the caption key
`void` | `setSummary(java.lang.String summary)` Set the summary

Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportItemInstance
`getHelpText, getHyperlink, getName, setHelpText, setName`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance
`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

Method Detail

### getCaption

    java.lang.String getCaption()

  Get the caption.

### setCaption

    void setCaption(java.lang.String caption)

  Set the caption

### getCaptionKey

    java.lang.String getCaptionKey()

  Get the caption key

### setCaptionKey

    void setCaptionKey(java.lang.String captionKey)

  Set the caption key

### getSummary

    java.lang.String getSummary()

  Get the summary.

### setSummary

    void setSummary(java.lang.String summary)

  Set the summary

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.